> For the complete documentation index, see [llms.txt](https://docs.ravenode.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ravenode.xyz/testnet/nillion-verifier/update-verifier.md).

# Update Verifier

## List Available Docker Container

```
docker images
```

## Delete old Docker Images to free up disk space

```
docker rmi <image_id>
```

## Pull the latest accuser Image

```
docker pull nillion/retailtoken-accuser:v1.0.1
```

## Stop & remove the old container

```
docker ps
docker stop <containerid> && docker rm <containerid>
```

{% hint style="warning" %}
Change **\<containerid>** with your docker container id
{% endhint %}

## Restart the verifier

```
docker run -d -v ./nillion/accuser:/var/tmp nillion/retailtoken-accuser:v1.0.1 accuse --rpc-endpoint "https://testnet-nillion-rpc.lavenderfive.com/" --block-start 5040475
```

{% hint style="info" %}
Adjust the `--block-start` value to the block height just before your registered verifier. To find this height, check the address you used to register your verifier on your connected Keplr wallet, then look up the transaction hash of type **"Pay For"** on the blockchain explorer to determine the block height where your verifier was registered
{% endhint %}

## Check verifier logs

```
# List Available Docker Container
docker ps

# Display logs
docker logs -f <container-id>

# View and filter the logs
docker logs -f $(docker ps | grep nillion | awk '{print $NF}') --tail 100 | grep -E "Registered:|Secret"
```

{% hint style="info" %}
Wait until it synchronizes with the current block height. Once it does, you should see if the status shows "Registered" as true.
{% endhint %}

If the issue occurs again, you can restart it by running this command:

```
docker ps -a | grep nillion | awk '{print $1}' | xargs -I {} docker stop {} && \
docker ps -a | grep nillion | awk '{print $1}' | xargs -I {} docker rm {} && \
LATEST_BLOCK=$(curl -s https://testnet-nillion-rpc.lavenderfive.com/status | jq -r .result.sync_info.latest_block_height) && \
docker run -d -v ./nillion/accuser:/var/tmp nillion/retailtoken-accuser:v1.0.1 accuse --rpc-endpoint "https://testnet-nillion-rpc.lavenderfive.com" --block-start "$LATEST_BLOCK" && \
docker logs -f $(docker ps | grep nillion | awk '{print $NF}')
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ravenode.xyz/testnet/nillion-verifier/update-verifier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
